.inner_product_wrp {
  overflow-x: hidden;
}

.inner_product_wrp .container .product_slider {
  padding: 80px 0px 0px;
  overflow: visible;
  margin-top: -50px;
}

.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box {
  overflow: hidden;
    display: block;
    position: relative;
    height: 570px;
  
}

.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box:hover::before {
  background: rgba(0, 0, 0, 0.5019607843);
}



.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box::before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  border-radius: 16px;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 40.92%, rgba(0, 0, 0, 0.35) 100%);
  -webkit-transition: all 0.3s ease-out;
  -moz-transition: all 0.3s ease-out;
  -o-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
}

.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box img {
  border-radius: 16px;
  border-radius: 16px;
    height: 100%;
    object-fit: cover;
}

.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp {
width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    max-height: 120px; /* collapsed state */
    overflow: hidden;
    padding: 25px;
    transition: max-height 0.3s ease-out;
}


.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box:hover .desc_wrp {
   max-height: 400px; /* expanded state */
}

.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .ttle {
  color: var(--White);
  font-size: var(--fs-26);
  font-weight: var(--font-weight-500);
  margin-bottom: 40px;
  letter-spacing: -0.02rem;
}

.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .ttle small {display: block;
    font-size: 14px;
    background: red;
    width: fit-content;
    padding: 0px 9px;
    border-radius: 5px;
    margin-bottom: 5px;}

.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .desc {
  color: var(--White);
  font-size: var(--fs-16);
  line-height: 24px;
  font-weight: var(--font-weight-400);
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease-out;
  transition-delay: 0.1s;
}

.inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box:hover .desc_wrp .desc {
  opacity: 1;
  visibility: visible;
}

.inner_product_wrp .container .product_slider .product-next,
.inner_product_wrp .container .product_slider .product-prev {
  width: 50px;
  height: 50px;
  top: 22px;
}

.inner_product_wrp .container .product_slider .product-next::after,
.inner_product_wrp .container .product_slider .product-prev::after {
  display: none;
}

.inner_product_wrp .container .product_slider .product-prev {
  left: inherit;
  right: 60px;
  background-image: url(../images/prev-btn.png);
}

.inner_product_wrp .container .product_slider .product-next {
  right: 0px;
  background-image: url(../images/next-btn.png);

}


@media only screen and (min-width: 1400px)and (max-width: 1599px) {
    .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box {
    height: 510px;
}
}

@media only screen and (min-width: 1200px) and (max-width: 1399px) {

  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp {
    padding: 30px;
    bottom: 0;
  }

  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .ttle {
    font-size: 22px;
  }

  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .desc {
    font-size: 14px;
    line-height: 22px;
  }
  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box {
    height: 450px;
  
}
}


@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: landscape) {
  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp {
    padding: 20px;
    bottom: -82%;
    min-height: 100%;
  }

  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .ttle {
    font-size: 20px;
    margin-bottom: 25px;
  }

  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .desc {
    font-size: 14px;
    line-height: 22px;
  }
}

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: portrait) {
  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp {
    padding: 30px;
    bottom: -75%;
  }

  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .ttle {
    font-size: 24px;
  }

  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .desc {
    font-size: 16px;
    line-height: 24px;
  }
}

@media (min-width: 320px) and (max-width: 767px) {
  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp {
    padding: 15px;
    /* bottom: -85%;
    min-height: 100%; */
  }

  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .ttle {
    font-size: 20px;
    margin-bottom: 25px;
  }

  .inner_product_wrp .container .product_slider .swiper-wrapper .swiper-slide .procust_box .desc_wrp .desc {
    font-size: 14px;
    line-height: 22px;
  }

  .inner_product_wrp .container .product_slider .product-next,
  .inner_product_wrp .container .product_slider .product-prev {
    width: 35px;
    height: 35px;
    background-size: cover;
    top: 27px;
  }

  .inner_product_wrp .container .product_slider .product-prev {
    right: 45px;
  }
}